Salvar um usuário

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.neppo.com.br/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Neppo API MCP server": {
    "url": "https://api-docs.neppo.com.br/mcp"
  }
}

Close
POST /chatapi/1.0/api/v2/users/save

Salva ou atualiza um usuário existente na base.

application/json

Body Required

obj

  • accessKey string
  • active boolean
  • agent object
    Hide agent attributes Show agent attributes object
    • agentAllHistory boolean
    • agentAllHistoryOperation boolean
    • agentAttendSimple boolean
    • agentToken string
    • agentViewPhone boolean
    • attendanceServiceChannel string
    • audioOn boolean
    • createdAt string(date-time)
    • createdBy string
    • department string
    • extensionAttendance string
    • id integer(int64)
    • loginAttendance string
    • maxChatChannels integer(int64)
    • passwordAttendance string
    • pauseOnReceiveCall boolean
    • socialToken string
    • status string
    • superAgent boolean
    • updatedAt string(date-time)
    • updatedBy string
    • user object
    • virtualAgent boolean
  • birthDate string(date-time)
  • company object
    Hide company attributes Show company attributes object
    • active boolean
    • address string
    • cep string
    • city string
    • cnpj string
    • companyName string
    • complement string
    • contractSignature integer(int64)
    • country string
    • createdAt string(date-time)
    • createdBy string
    • dateEndPilot string(date-time)
    • defaultLocale string
    • email string
    • groupCompany object
      Hide groupCompany attributes Show groupCompany attributes object
      • active boolean
      • companyName string Required
      • createdAt string(date-time)
      • createdBy string
      • id integer(int64)
      • updatedAt string(date-time)
      • updatedBy string
    • id integer(int64)
    • nameContact string
    • neighborhood string
    • number string
    • phoneContact string
    • sgemnet string
    • site string
    • sku string
    • state string
    • stateRegistration string
    • timeHistory integer(int64)
    • tradeName string
    • updatedAt string(date-time)
    • updatedBy string
  • country string
  • cpf string
  • createdAt string(date-time)
  • createdBy string
  • createdFromSurvey boolean
  • defaultLocale string
  • displayName string
  • email string
  • externalCode string
  • firstAccess boolean
  • firstLogin string(date-time)
  • formal boolean
  • id integer(int64)
  • lastLogin string(date-time)
  • name string
  • operation string
  • originUser string
  • phone string
  • priority integer(int64)
  • profile object
    Hide profile attributes Show profile attributes object
    • createdAt string(date-time)
    • createdBy string
    • id integer(int64)
    • name string
    • typeUser string
    • updatedAt string(date-time)
    • updatedBy string
    • visible boolean
  • ticketUserId integer(int64)
  • tm2 boolean
  • typeUser string
  • updatedAt string(date-time)
  • updatedBy string
  • userName string
  • usingMFA boolean
  • visible boolean
  • password string

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • accessKey string
    • active boolean
    • agent object
      Hide agent attributes Show agent attributes object
      • agentAllHistory boolean
      • agentAllHistoryOperation boolean
      • agentAttendSimple boolean
      • agentToken string
      • agentViewPhone boolean
      • attendanceServiceChannel string
      • audioOn boolean
      • createdAt string(date-time)
      • createdBy string
      • department string
      • extensionAttendance string
      • id integer(int64)
      • loginAttendance string
      • maxChatChannels integer(int64)
      • passwordAttendance string
      • pauseOnReceiveCall boolean
      • socialToken string
      • status string
      • superAgent boolean
      • updatedAt string(date-time)
      • updatedBy string
      • user object
      • virtualAgent boolean
    • birthDate string(date-time)
    • company object
      Hide company attributes Show company attributes object
      • active boolean
      • address string
      • cep string
      • city string
      • cnpj string
      • companyName string
      • complement string
      • contractSignature integer(int64)
      • country string
      • createdAt string(date-time)
      • createdBy string
      • dateEndPilot string(date-time)
      • defaultLocale string
      • email string
      • groupCompany object
        Hide groupCompany attributes Show groupCompany attributes object
        • active boolean
        • companyName string Required
        • createdAt string(date-time)
        • createdBy string
        • id integer(int64)
        • updatedAt string(date-time)
        • updatedBy string
      • id integer(int64)
      • nameContact string
      • neighborhood string
      • number string
      • phoneContact string
      • sgemnet string
      • site string
      • sku string
      • state string
      • stateRegistration string
      • timeHistory integer(int64)
      • tradeName string
      • updatedAt string(date-time)
      • updatedBy string
    • country string
    • cpf string
    • createdAt string(date-time)
    • createdBy string
    • createdFromSurvey boolean
    • defaultLocale string
    • displayName string
    • email string
    • externalCode string
    • firstAccess boolean
    • firstLogin string(date-time)
    • formal boolean
    • id integer(int64)
    • lastLogin string(date-time)
    • name string
    • operation string
    • originUser string
    • phone string
    • priority integer(int64)
    • profile object
      Hide profile attributes Show profile attributes object
      • createdAt string(date-time)
      • createdBy string
      • id integer(int64)
      • name string
      • typeUser string
      • updatedAt string(date-time)
      • updatedBy string
      • visible boolean
    • ticketUserId integer(int64)
    • tm2 boolean
    • typeUser string
    • updatedAt string(date-time)
    • updatedBy string
    • userName string
    • usingMFA boolean
    • visible boolean
    • password string
  • 201

    Created

  • 401

    Unauthorized

  • 403

    Forbidden

  • 404

    Not Found

POST /chatapi/1.0/api/v2/users/save
curl \
 --request POST 'https://api.neppo.com.br/chatapi/1.0/api/v2/users/save' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"accessKey":"string","active":true,"agent":{"agentAllHistory":true,"agentAllHistoryOperation":true,"agentAttendSimple":true,"agentToken":"string","agentViewPhone":true,"attendanceServiceChannel":"string","audioOn":true,"createdAt":"2026-05-04T09:42:00Z","createdBy":"string","department":"string","extensionAttendance":"string","id":42,"loginAttendance":"string","maxChatChannels":42,"passwordAttendance":"string","pauseOnReceiveCall":true,"socialToken":"string","status":"string","superAgent":true,"updatedAt":"2026-05-04T09:42:00Z","updatedBy":"string","user":{},"virtualAgent":true},"birthDate":"2026-05-04T09:42:00Z","company":{"active":true,"address":"string","cep":"string","city":"string","cnpj":"string","companyName":"string","complement":"string","contractSignature":42,"country":"string","createdAt":"2026-05-04T09:42:00Z","createdBy":"string","dateEndPilot":"2026-05-04T09:42:00Z","defaultLocale":"string","email":"string","groupCompany":{"active":true,"companyName":"string","createdAt":"2026-05-04T09:42:00Z","createdBy":"string","id":42,"updatedAt":"2026-05-04T09:42:00Z","updatedBy":"string"},"id":42,"nameContact":"string","neighborhood":"string","number":"string","phoneContact":"string","sgemnet":"string","site":"string","sku":"string","state":"string","stateRegistration":"string","timeHistory":42,"tradeName":"string","updatedAt":"2026-05-04T09:42:00Z","updatedBy":"string"},"country":"string","cpf":"string","createdAt":"2026-05-04T09:42:00Z","createdBy":"string","createdFromSurvey":true,"defaultLocale":"string","displayName":"string","email":"string","externalCode":"string","firstAccess":true,"firstLogin":"2026-05-04T09:42:00Z","formal":true,"id":42,"lastLogin":"2026-05-04T09:42:00Z","name":"string","operation":"string","originUser":"string","phone":"string","priority":42,"profile":{"createdAt":"2026-05-04T09:42:00Z","createdBy":"string","id":42,"name":"string","typeUser":"string","updatedAt":"2026-05-04T09:42:00Z","updatedBy":"string","visible":true},"ticketUserId":42,"tm2":true,"typeUser":"string","updatedAt":"2026-05-04T09:42:00Z","updatedBy":"string","userName":"string","usingMFA":true,"visible":true,"password":"string"}'
Request examples
{
  "accessKey": "string",
  "active": true,
  "agent": {
    "agentAllHistory": true,
    "agentAllHistoryOperation": true,
    "agentAttendSimple": true,
    "agentToken": "string",
    "agentViewPhone": true,
    "attendanceServiceChannel": "string",
    "audioOn": true,
    "createdAt": "2026-05-04T09:42:00Z",
    "createdBy": "string",
    "department": "string",
    "extensionAttendance": "string",
    "id": 42,
    "loginAttendance": "string",
    "maxChatChannels": 42,
    "passwordAttendance": "string",
    "pauseOnReceiveCall": true,
    "socialToken": "string",
    "status": "string",
    "superAgent": true,
    "updatedAt": "2026-05-04T09:42:00Z",
    "updatedBy": "string",
    "user": {},
    "virtualAgent": true
  },
  "birthDate": "2026-05-04T09:42:00Z",
  "company": {
    "active": true,
    "address": "string",
    "cep": "string",
    "city": "string",
    "cnpj": "string",
    "companyName": "string",
    "complement": "string",
    "contractSignature": 42,
    "country": "string",
    "createdAt": "2026-05-04T09:42:00Z",
    "createdBy": "string",
    "dateEndPilot": "2026-05-04T09:42:00Z",
    "defaultLocale": "string",
    "email": "string",
    "groupCompany": {
      "active": true,
      "companyName": "string",
      "createdAt": "2026-05-04T09:42:00Z",
      "createdBy": "string",
      "id": 42,
      "updatedAt": "2026-05-04T09:42:00Z",
      "updatedBy": "string"
    },
    "id": 42,
    "nameContact": "string",
    "neighborhood": "string",
    "number": "string",
    "phoneContact": "string",
    "sgemnet": "string",
    "site": "string",
    "sku": "string",
    "state": "string",
    "stateRegistration": "string",
    "timeHistory": 42,
    "tradeName": "string",
    "updatedAt": "2026-05-04T09:42:00Z",
    "updatedBy": "string"
  },
  "country": "string",
  "cpf": "string",
  "createdAt": "2026-05-04T09:42:00Z",
  "createdBy": "string",
  "createdFromSurvey": true,
  "defaultLocale": "string",
  "displayName": "string",
  "email": "string",
  "externalCode": "string",
  "firstAccess": true,
  "firstLogin": "2026-05-04T09:42:00Z",
  "formal": true,
  "id": 42,
  "lastLogin": "2026-05-04T09:42:00Z",
  "name": "string",
  "operation": "string",
  "originUser": "string",
  "phone": "string",
  "priority": 42,
  "profile": {
    "createdAt": "2026-05-04T09:42:00Z",
    "createdBy": "string",
    "id": 42,
    "name": "string",
    "typeUser": "string",
    "updatedAt": "2026-05-04T09:42:00Z",
    "updatedBy": "string",
    "visible": true
  },
  "ticketUserId": 42,
  "tm2": true,
  "typeUser": "string",
  "updatedAt": "2026-05-04T09:42:00Z",
  "updatedBy": "string",
  "userName": "string",
  "usingMFA": true,
  "visible": true,
  "password": "string"
}
Response examples (200)
{
  "accessKey": "string",
  "active": true,
  "agent": {
    "agentAllHistory": true,
    "agentAllHistoryOperation": true,
    "agentAttendSimple": true,
    "agentToken": "string",
    "agentViewPhone": true,
    "attendanceServiceChannel": "string",
    "audioOn": true,
    "createdAt": "2026-05-04T09:42:00Z",
    "createdBy": "string",
    "department": "string",
    "extensionAttendance": "string",
    "id": 42,
    "loginAttendance": "string",
    "maxChatChannels": 42,
    "passwordAttendance": "string",
    "pauseOnReceiveCall": true,
    "socialToken": "string",
    "status": "string",
    "superAgent": true,
    "updatedAt": "2026-05-04T09:42:00Z",
    "updatedBy": "string",
    "user": {},
    "virtualAgent": true
  },
  "birthDate": "2026-05-04T09:42:00Z",
  "company": {
    "active": true,
    "address": "string",
    "cep": "string",
    "city": "string",
    "cnpj": "string",
    "companyName": "string",
    "complement": "string",
    "contractSignature": 42,
    "country": "string",
    "createdAt": "2026-05-04T09:42:00Z",
    "createdBy": "string",
    "dateEndPilot": "2026-05-04T09:42:00Z",
    "defaultLocale": "string",
    "email": "string",
    "groupCompany": {
      "active": true,
      "companyName": "string",
      "createdAt": "2026-05-04T09:42:00Z",
      "createdBy": "string",
      "id": 42,
      "updatedAt": "2026-05-04T09:42:00Z",
      "updatedBy": "string"
    },
    "id": 42,
    "nameContact": "string",
    "neighborhood": "string",
    "number": "string",
    "phoneContact": "string",
    "sgemnet": "string",
    "site": "string",
    "sku": "string",
    "state": "string",
    "stateRegistration": "string",
    "timeHistory": 42,
    "tradeName": "string",
    "updatedAt": "2026-05-04T09:42:00Z",
    "updatedBy": "string"
  },
  "country": "string",
  "cpf": "string",
  "createdAt": "2026-05-04T09:42:00Z",
  "createdBy": "string",
  "createdFromSurvey": true,
  "defaultLocale": "string",
  "displayName": "string",
  "email": "string",
  "externalCode": "string",
  "firstAccess": true,
  "firstLogin": "2026-05-04T09:42:00Z",
  "formal": true,
  "id": 42,
  "lastLogin": "2026-05-04T09:42:00Z",
  "name": "string",
  "operation": "string",
  "originUser": "string",
  "phone": "string",
  "priority": 42,
  "profile": {
    "createdAt": "2026-05-04T09:42:00Z",
    "createdBy": "string",
    "id": 42,
    "name": "string",
    "typeUser": "string",
    "updatedAt": "2026-05-04T09:42:00Z",
    "updatedBy": "string",
    "visible": true
  },
  "ticketUserId": 42,
  "tm2": true,
  "typeUser": "string",
  "updatedAt": "2026-05-04T09:42:00Z",
  "updatedBy": "string",
  "userName": "string",
  "usingMFA": true,
  "visible": true,
  "password": "string"
}